Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Capabilities Class Reference

This class implement the ACE Capabilities. More...

`#include <Capabilities.h>`

Collaboration diagram for ACE_Capabilities:

[legend]
List of all members.

## Public Methods
| ACE_Capabilities (void)
| The Constructor. More...
| ~ACE_Capabilities (void)
| The Destructor. More...
int | getval (const ACE_TCHAR *ent, ACE_TString &val)
| Get a string entry. More...
int | getval (const ACE_TCHAR *ent, int &val)
| Get an integer entry. More...
int | getent (const ACE_TCHAR *fname, const ACE_TCHAR *name)
| Get the ACE_Capabilities name from FILE fname and load the associated capabitily entries in map. More...
## Protected Methods
const ACE_TCHAR * | parse (const ACE_TCHAR *buf, int &cap)
| Parse a string property. More...
const ACE_TCHAR * | parse (const ACE_TCHAR *buf, ACE_TString &cap)
| Fill the ACE_Capabilities with description in ent. More...
int | fillent (const ACE_TCHAR *ent)
| Parse a cap entry. More...
int | parseent (const ACE_TCHAR *name, ACE_TCHAR *line)
| Get a line from FILE input stream. More...
int | getline (FILE *fp, ACE_TString &line)
| Is a valid entry. More...
int | is_entry (const ACE_TCHAR *name, const ACE_TCHAR *line)
| Reset the set of capabilities. More...
void | resetcaps (void)
| Atributes. More...
## Private Attributes
ACE_Hash_Map_Manager< ACE_TString, ACE_CapEntry *, ACE_Null_Mutex > | caps_
| This is the set of ACE_CapEntry. More...

## Detailed Description

This class implement the ACE Capabilities.

This is a container class for ACE Capabilities values. Currently exist three different capability values: <ACE_IntCapEntry> (integer), <ACE_BoolCapEntry> (bool) and <ACE_StringCapEntry> (String). An <ACE_Capabilities> is a unordered set of pair = (<String>, <ACE_CapEntry> *). Where the first component is the name of capability and the second component is a pointer to the capability value container. A <FILE> is a container for <ACE_Capabilities>, the <ACE_Capabilities> has a name in the file, as a termcap file.

## Constructor & Destructor Documentation

ACE_Capabilities::ACE_Capabilities | ( | void |  | ) |

| The Constructor.

ACE_Capabilities::~ACE_Capabilities | ( | void |  | ) |

| The Destructor.

## Member Function Documentation

int ACE_Capabilities::fillent | ( | const ACE_TCHAR * | buf | ) | `[protected]`

| Parse a cap entry.

int ACE_Capabilities::getent | ( | const ACE_TCHAR * | fname,
|  | const ACE_TCHAR * | name
| ) |

| Get the ACE_Capabilities name from FILE fname and load the associated capabitily entries in map.

int ACE_Capabilities::getline | ( | FILE * | fp,
|  | ACE_TString & | line
| ) | `[protected]`

| Is a valid entry.

int ACE_Capabilities::getval | ( | const ACE_TCHAR * | keyname,
|  | int & | val
| ) |

| Get an integer entry.

int ACE_Capabilities::getval | ( | const ACE_TCHAR * | keyname,
|  | ACE_TString & | val
| ) |

| Get a string entry.

int ACE_Capabilities::is_entry | ( | const ACE_TCHAR * | name,
|  | const ACE_TCHAR * | line
| ) | `[protected]`

| Reset the set of capabilities.

const ACE_TCHAR * ACE_Capabilities::parse | ( | const ACE_TCHAR * | buf,
|  | ACE_TString & | cap
| ) | `[protected]`

| Fill the ACE_Capabilities with description in ent.

const ACE_TCHAR * ACE_Capabilities::parse | ( | const ACE_TCHAR * | buf,
|  | int & | cap
| ) | `[protected]`

| Parse a string property.

int ACE_Capabilities::parseent | ( | const ACE_TCHAR * | name,
|  | ACE_TCHAR * | line
| ) | `[protected]`

| Get a line from FILE input stream.

void ACE_Capabilities::resetcaps | ( | void |  | ) | `[protected]`

| Atributes.

## Member Data Documentation

ACE_Hash_Map_Manager<ACE_TString, ACE_CapEntry *, ACE_Null_Mutex> ACE_Capabilities::caps_`[private]`

| This is the set of ACE_CapEntry.

The documentation for this class was generated from the following files:

- Capabilities.h
- Capabilities.cpp